Bug 92294 - Accessing the forms public site causes a CCM Error
Accessing the forms public site causes a CCM Error
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise CMS
Classification: Retired
Component: other (Show other bugs)
nightly
All Linux
medium Severity high
: ---
: ---
Assigned To: Archit Shah
Jon Orris
:
Depends On:
Blocks: 88926
  Show dependency treegraph
 
Reported: 2003-06-04 13:31 EDT by Jon Orris
Modified: 2007-04-18 12:54 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-05 15:56:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jon Orris 2003-06-04 13:31:26 EDT
Description of problem:
@31994

CCM issue report code: localhost:8080:4abc5f80:f593dfd3cc

-*-*-*-*-*- Begin Error Report -*-*-*-*-*-
-*-*-*- ACS Error Report Code: localhost:8080:4abc5f80:f593dfd3cc -*-*-*-
-*-*-*- Message: Value of item is null. -*-*-*-

-*-*-*- Section: HTTP headers -*-*-*-
Accept:
text/xml,application/xml,application/xhtml+xml,text/html;q=0.9,text/plain;q=0.8,video/x-mng,image/png,image/jpeg,image/gif;q=0.2,*/*;q=0.1
Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7
Accept-Encoding: gzip,deflate,compress;q=0.9
Accept-Language: en-us,en;q=0.5
Connection: close
Cookie: ad_user_login=9!1148316123143!+w3DryZuA499yj9Hb3BYng==;
JSESSIONID=a8KpO7mB0J3d
Host: localhost:8080
Referer:
http://localhost:8080/ccm/content-center/?bbp.v=1&bbp.3.pane=0&bbp.s=3&bbp.e=select&g11n.enc=UTF-8
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3) Gecko/20030314

-*-*-*- Section: Cookies -*-*-*-
ad_user_login: 9!1148316123143!+w3DryZuA499yj9Hb3BYng== (expires: -1)
JSESSIONID: a8KpO7mB0J3d (expires: -1)

-*-*-*- Section: CCM User -*-*-*-
Party not logged in

-*-*-*- Section: Stack trace -*-*-*-
java.lang.IllegalStateException: Value of item is null.
	at com.arsdigita.util.Assert.assertNotNull(Assert.java(Compiled Code))
	at com.arsdigita.util.Assert.assertNotNull(Assert.java(Compiled Code))
	at com.arsdigita.cms.CMSContext.getContentItem(CMSContext.java:116)
	at com.arsdigita.cms.user.ItemIndexPage$TitlePrinter.prepare(ItemIndexPage.java:78)
	at com.arsdigita.bebop.Label.firePrintEvent(Label.java:360)
	at com.arsdigita.bebop.Page$1.initialValue(Page.java:266)
	at com.arsdigita.bebop.RequestLocal.get(RequestLocal.java:122)
	at com.arsdigita.bebop.Page.getTitle(Page.java:456)
	at com.arsdigita.bebop.Page.generateXMLHelper(Page.java:608)
	at com.arsdigita.bebop.Page.generateXML(Page.java:634)
	at com.arsdigita.bebop.Page.buildDocument(Page.java:737)
	at com.arsdigita.cms.dispatcher.CMSPage$1.excurse(CMSPage.java:251)
	at com.arsdigita.cms.CMSExcursion.run(CMSExcursion.java:71)
	at com.arsdigita.cms.dispatcher.CMSPage.dispatch(CMSPage.java:259)
	at com.arsdigita.cms.dispatcher.CMSDispatcher.dispatch(CMSDispatcher.java:257)
	at
com.arsdigita.cms.dispatcher.CMSDispatcher.chainedDispatch(CMSDispatcher.java:345)
	at com.arsdigita.dispatcher.DispatcherChain.dispatch(DispatcherChain.java:74)
	at
com.arsdigita.cms.ContentSectionServlet.doService(ContentSectionServlet.java:140)
	at
com.arsdigita.web.BaseApplicationServlet$1.excurse(BaseApplicationServlet.java:119)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at
com.arsdigita.web.BaseApplicationServlet.doService(BaseApplicationServlet.java:113)
	at com.arsdigita.web.BaseServlet$1.excurse(BaseServlet.java:128)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at com.arsdigita.web.BaseServlet.internalService(BaseServlet.java:104)
	at com.arsdigita.web.BaseServlet.doGet(BaseServlet.java:205)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:740)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:853)
	at com.caucho.server.http.FilterChainServlet.doFilter(FilterChainServlet.java:96)
	at com.caucho.server.http.Invocation.service(Invocation.java:312)
	at com.caucho.server.http.CacheInvocation.service(CacheInvocation.java:135)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:225)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:106)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:83)
	at com.arsdigita.web.BaseDispatcher.forward(BaseDispatcher.java:212)
	at com.arsdigita.web.BaseDispatcher.forward(BaseDispatcher.java:198)
	at com.arsdigita.web.BaseDispatcher.dispatch(BaseDispatcher.java:130)
	at com.arsdigita.web.DispatcherServlet.service(DispatcherServlet.java:136)
	at com.caucho.server.http.FilterChainServlet.doFilter(FilterChainServlet.java:96)
	at com.caucho.server.http.Invocation.service(Invocation.java:312)
	at com.caucho.server.http.CacheInvocation.service(CacheInvocation.java:135)
	at com.caucho.server.http.HttpRequest.handleRequest(HttpRequest.java:244)
	at com.caucho.server.http.HttpRequest.handleConnection(HttpRequest.java:163)
	at com.caucho.server.TcpConnection.run(TcpConnection.java:137)
	at java.lang.Thread.run(Thread.java:512)


-*-*-*- Section: Servlet attributes -*-*-*-
com.arsdigita.bebop.PageState: com.arsdigita.bebop.PageState@6bfa1f99 = {
m_page = com.arsdigita.cms.user.ItemIndexPage@6a14df99,
m_request = com.caucho.server.http.DispatchRequest@386a9f85,
m_response = com.caucho.server.http.HttpResponse@701f9f83,
m_pageState = com.arsdigita.bebop.FormData@6bf81f99 = {
m_parameterDataValues = {bbp.3.sel={null, []}, bbp.e={null, []},
g11n.enc={UTF-8, []}, bbp.2.sel={null, []}, bbp.v={null, []}, bbp.i={null, []},
bbp.s={null, []}},
m_formErrors = null,
m_model = com.arsdigita.bebop.FormModel@6bb45f99,
m_locale = en_US,
m_isTransformed = true,
m_isValid = true,
m_isSubmission = true
},
m_attributes = null,
,
m_grabbingComponent = null,
m_invisible = null
}
com.arsdigita.bebop.RequestLocal: {}
com.arsdigita.cms.dispatcher.section:
[com.arsdigita.cms.ContentSection:{objectType=com.arsdigita.cms.ContentSection,
id=2011}]
com.arsdigita.dispatcher.RequestContext:
com.arsdigita.sitenode.SiteNodeRequestContext@118ddf86
com.arsdigita.dispatcher.RequestValue:
{com.arsdigita.dispatcher.RequestValue@3dec1f84=null}
com.arsdigita.web.BaseApplicationServlet.application_id: 2011
com.arsdigita.web.BaseDispatcher.dispatched: true
com.arsdigita.web.BaseServlet.request_url: /ccm/forms/index/?g11n.enc=UTF-8
guruErrorReport:

Note You need to log in before you can comment on or make changes to this bug.